> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Typing indicator

> Signal that the contact is typing (or stopped typing). Debounce on your
side; send only while a conversation is on screen.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /s2s/conversations/{conversationId}/typing
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/conversations/{conversationId}/typing:
    post:
      tags:
        - S2S Conversations
      summary: Typing indicator
      description: |-
        Signal that the contact is typing (or stopped typing). Debounce on your
        side; send only while a conversation is on screen.
      operationId: Typing
      parameters:
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/S2STypingBody'
      responses:
        '204':
          description: No Content
      security:
        - s2s: []
components:
  schemas:
    S2STypingBody:
      properties:
        typing:
          type: boolean
      required:
        - typing
      type: object
      additionalProperties: false
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````